---
title: "/api/stations/v1/station-groups"
slug: "apistationsv1station-groups"
updated: 2024-10-17T20:32:06Z
published: 2024-10-17T20:32:06Z
canonical: "support.tulip.co/apistationsv1station-groups"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# /api/stations/v1/station-groups

Get/api/stations/v1/station-groups

Gets a paginated, filtered, and sorted list of station groups.

Query parameterslimitinteger

Limits the number of station groups listed.

Minimum0Example1
offsetinteger

Returns documents after a certain offset. Use with limit to paginate the response.

Minimum0Example0
filterstring

Filters the result by parentStationGroupId using OData 4.01 syntax, where parentId is a valid station group id or `null`. Only supports the `eq` operator.

sortstring

Sorts the result by 'name', 'lastModified.at', and 'created.at'. Seperate by a comma. Specify descending sort with a '-' character.

searchstring

Searches for station groups by name.

archivedboolean

Filters station groups by whether they are archived. If not provided, defaults to false and only non-archived station groups will be included in the response.

Responses200

A paginated list of station groups.

<select class='api-response-data' aria-label='Media type'><option value='7dbd4c98-d023-4076-827a-f22cdaeee8ab'>application/json</option>
</select>Expand Allobject items Array of object (StationGroup)   object 

Represents a station group.

Example{
  "id": "swM2aGebq5MjhKafN",
  "name": "Boston",
  "description": "Contains all the stations in the Boston factory.",
  "appAssignments": [
    {
      "id": "78M2aGebq5MjhKafN",
      "type": "app-folder",
      "tag": "latest-published",
      "appFolderId": "12M2aGebq5MjhKafN"
    }
  ],
  "created": {
    "at": "2023-03-08T12:17:24Z",
    "by": {
      "id": "90M2aGebq5MjhKafN",
      "type": "user"
    }
  },
  "lastModified": {
    "at": "2023-03-08T12:17:24Z",
    "by": {
      "id": "90M2aGebq5MjhKafN",
      "type": "user"
    }
  },
  "workspaces": {
    "scope": "specific",
    "workspaceIds": [
      "56M2aGebq5MjhKafN"
    ]
  }
}idExampleg56RCoZCtzv7borvp
namestring    

The name of the station group.

parentIdExampleg56RCoZCtzv7borvp
descriptionstring    

A short description of the station group.

createdatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

lastModifiedatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

archivedatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

workspacesobject (WorkspaceMembership) 

A description of the workspaces of which a resource is a member. Workspace membership can have one of two `scope` values. A `scope` of `all` means that a resource is a member of all current and future workspaces. A `scope` of the value `specific` means that a resource is a member of a set of particular workspaces as described by the `workspaceIds` property.

Example{
  "scope": "specific",
  "workspaceIds": [
    "DEFAULT"
  ]
}#content#OneOfAllWorkspacesMembershipscopestring    

Describes a resource as a member of all current and future workspaces.

Valid values[
  "all"
]Exampleall

SpecificWorkspacesMembershipscopestring    

Describes a resource as a member of a set of specific workspaces.

Valid values[
  "specific"
]Examplespecific
workspaceIds Array of string (WorkspaceId)   

The workspaces in which a resource is a member.

string    ExampleDEFAULT

countnumber    

The total number of items that matched the list parameters.

Example10
nextPagestring  (url)    

A URL at which the next page of results can be fetched.

prevPagestring  (url)    

A URL at which the previous page of results can be fetched.

errors Array of object (PaginatedItemError)   

A list of errors per item that is omitted from the paginated response, if any.

object Example{
  "errorCode": "generic.internal",
  "message": "Something went wrong.",
  "retryable": false,
  "details": {
    "id": "invalidRecordId"
  }
}errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject idstring    

The ID of the omitted record.

400

An error occurred. The Tulip error codes `generic.customerIdRequired`, `generic.workspaceIdRequired`, `generic.invalidParams`, `http.invalidBodyJson`, `http.invalidHeaders`, `http.multiValueHeader`, `generic.limitParamNonNegativeInt`, `generic.limitParamBounds`, `generic.offsetParamNonNegativeInt`, `generic.sortParamUnsupportedField`, `generic.filterParamUnsupportedOperation`, and `generic.filterParamUnsupportedField` all use the 400 HTTP status code. See the documentation of the response content schema for details on these specific Tulip errors that could result in this status code.

<select class='api-response-data' aria-label='Media type'><option value='d923b6f7-95ca-465f-8f57-302f377cf6d6'>application/json</option>
</select>Expand AllOneOfobjecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject headerNamestring    

The name of the given HTTP header which had multiple values.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject upperBoundinteger    

The maximum allowed value for the limit parameter.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject unsupportedFields Array of string   

The names of the given fields which are not supported.

string    

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

401

The request was missing required authentication information.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='5d68e3df-6572-44fb-a116-a748a788f911'>application/json</option>
</select>object errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

429

Too many requests have been made to this endpoint in a short time period.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='659338e0-0482-4855-872f-484c3798c027'>application/json</option>
</select>Expand Allobject errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject detailsstring    

Additional details about this endpoint's rate limits.

500

An error occurred. The Tulip error codes `generic.internal` and `stations.internalTypeValidationError` both use the 500 HTTP status code. See the documentation of the response content schema for details on these specific Tulip errors that could result in this status code.

<select class='api-response-data' aria-label='Media type'><option value='60ad7294-2d7b-4dd6-a6e3-7fb83cfc4f74'>application/json</option>
</select>Expand AllOneOfobjecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject resourceNamestring    

The name of the resource that failed validation.

resourceIdstring    

The id of the resource that failed validation.
